%global debug_package %{nil}
%global bgname lakeside

Name:       lakeside-backgrounds
Version:    0.4.0
Release:    1%{?dist}
License:    CC-BY-NC-SA-4.0
Summary:    Lakeside Time of Day backgrounds

URL:        https://github.com/chronoscrat/copr.specs
VCS:        git+https://github.com/ChronoScrat/copr.specs/#f2b3a704290586a237847954242e0c52e6d82e3f:backgrounds/lakeside
Source:     copr.specs-backgrounds-lakeside-f2b3a704.tar.gz

BuildArch:      noarch

%description
This package provides the Lakeside Time of Day backgrounds. The dynamic backgrounds updates
according to the time of day. The images are from a project created by Louis Coyle.
Although this package will install the backgrounds in all Desktop Environments, the dynamic
feature is only available in GNOME (and Budgie).

%prep
%setup -T -b 0 -q -n copr.specs-backgrounds-lakeside

%install
mkdir -p -m0755 \
    %{buildroot}%{_datadir}/backgrounds/%{bgname} \
    %{buildroot}%{_datadir}/gnome-background-properties

mv images/*.jxl %{buildroot}%{_datadir}/backgrounds/%{bgname}
mv lakeside-dynamic.xml %{buildroot}%{_datadir}/backgrounds/%{bgname}
mv lakeside-gnome.xml %{buildroot}%{_datadir}/gnome-background-properties

%files
%attr(0755,root,root) %{_datadir}/backgrounds/%{bgname}/*
%attr(0755,root,root) %{_datadir}/gnome-background-properties/lakeside-gnome.xml

%changelog
%autochangelog
